function [f,epochValidity] = checkEpochValidity(current,lower,upper)
    % if the input is not a valid date, then a popup windows will appear.
    epochValidity = 1;
    f = 0;
    if current < lower || current > upper
        msg1 = {'The date entered is not a valid date. Please enter another date within '};
        msg2 = datestr(datetime(lower,'ConvertFrom','datenum'));
        msg3 = {' and '};
        msg4 = datestr(datetime(upper,'ConvertFrom','datenum'));
        msg5 = {'.'};
        msg = strcat(msg1,msg2,msg3,msg4,msg5);
        f = warndlg(msg,'Warning');
        epochValidity = 0;
    end
    
end