function [f,intervalValidity] = checkIntervalValidity(current,lower,upper,lowerDate,upperDate)
    % if the input is too large or too small, then a popup windows will appear.
    intervalValidity = 1;
    f = 0;
    if current < lower || current > upper
        msg1 = {'The number of days entered is not a valid number. The interval should fall between '};
        msg2 = datestr(datetime(lowerDate,'ConvertFrom','datenum'));
        msg3 = {' and '};
        msg4 = datestr(datetime(upperDate,'ConvertFrom','datenum'));
        msg5 = {'. Please enter another number within '};
        msg6 = num2str(lower);
        msg7 = {' and '};
        msg8 = num2str(upper);
        msg9 = {'.'};
        msg = strcat(msg1,msg2,msg3,msg4,msg5,msg6,msg7,msg8,msg9);
        f = warndlg(msg,'Warning');
        intervalValidity = 0;
    end
    
end